Bug 173581 - futimesat(fd, NULL, NULL) segfaults
Summary: futimesat(fd, NULL, NULL) segfaults
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-18 11:41 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.3.90-18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-20 12:40:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2005-11-18 11:41:35 UTC
Description of problem:
The futimesat() function segfaults when given only an fd.

Version-Release number of selected component (if applicable):
glibc-2.3.90-17

How reproducible:
100%

Steps to Reproduce:
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <utime.h>
#include <stdlib.h>
int main (int argc, char **argv)
{
  int fd = open (argv[0], O_RDONLY);
  futimesat (fd, NULL, NULL);
  close (fd);
}


Actual results:
Segfault.

The only documentation I've managed to find about this function suggests that
futimesat(fd, NULL, NULL) should set the utimes of the file referenced by fd to
the current time.

Comment 1 Tim Waugh 2005-11-18 11:42:17 UTC
FWIW, this causes the coreutils 'touch' utility to segfault when coreutils is
rebuilt against current rawhide.

Comment 3 Jakub Jelinek 2005-11-20 12:40:52 UTC
Should be fixed in glibc-2.3.90-18


Note You need to log in before you can comment on or make changes to this bug.